Subject: Re: bug#77224: [PATCH] New minor mode 'cursor-indicators-mode'

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Mar 2025 19:45:56 +0200

> I think Stefan and Juri should chime in with their experience about
> this, since as I've seen, they both want to replace some custom cursor
> code with the new mode in their configuration.

I tried the patch with 'run-with-idle-timer',
and even the delay 0.1 is noticeable and causes
the feeling that Emacs became sluggish
and can't update the cursor immediately.

So I'd prefer to use 'post-command-hook' that updates
the cursor immediately.  I already used this
for many years, and there were no problems.

As for adding more specific hooks, this is not simple to do
since the cursor color depends on the current buffer and
should be updated every time after switching to another buffer.
And even with adding it to the display-buffer hook
the complexity will explode.